# This is the default configuration file for 'check-parens'.
#
# Lines beginning with '#' are comments and ignored.
# The following configuration commands are recognized:
#
# paren = <left> <right> [soft]
#
#   declares a parentheses pair; the optional keyword "soft" indicates
#   that a matching failure will generate a warning only.
#
# delimsize = <size> [<size_alt> ...]
#
#   declares a delimiter size modifier such as "\left" and "\big",
#   optionally followed by a list of alternative equivalents, e.g.
#   "\bigr" for "\big".
#
# Each command must be specified on a single line and tokens must be
# separated by whitespace. Content tokens must either be single
# characters or be valid Tex tokens starting with a backslash.
# Note that obsolete double $$'s for displayed math are not supported.
#
# Note that the following are detected automatically:
# - \begin{env} \end{env} pairs
# - \verb and verbatim environments (their contents is ignored)

paren = { }
paren = ( )    soft
paren = [ ]    soft
paren = \{ \}  soft
paren = \( \)
paren = \[ \]
paren = $ $
paren = \langle \rangle  soft
paren = \lceil  \rceil   soft
paren = \lfloor \rfloor  soft
paren = \lgroup \rgroup  soft
paren = \lvert  \rvert   soft
paren = \lVert  \rVert   soft

delimsize = \big   \bigl   \bigr
delimsize = \Big   \Bigl   \Bigr
delimsize = \bigg  \biggl  \biggr
delimsize = \Bigg  \Biggl  \Biggr
delimsize = \left  \right